Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.xslt
Class XsltFilterFactoryAssembler

    java.lang.Object
      com.servingxml.components.xslt.XsltFilterFactoryAssembler

    public class XsltFilterFactoryAssembler

extends java.lang.Object

The `XsltFilterFactoryAssembler` implements an assembler for assembling `XsltFilterFactory` objects.

Constructor Summary
`XsltFilterFactoryAssembler()`

Method Summary
`Content` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(Cache cache)`
`void` | `injectComponent(ExpiryOptions expiryOptions)`
`void` | `injectComponent(ParameterDescriptor[] parameterDescriptors)`
`void` | `injectComponent(SaxSourceFactory saxSourceFactory)`
`void` | `injectComponent(StreamSourceFactory streamSourceFactory)`
`void` | `injectComponent(WithParameters withParameters)`
`void` | `setBaseURI(java.lang.String baseUri)`
`void` | `setDocumentBase(java.lang.String baseUri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsltFilterFactoryAssembler

    public XsltFilterFactoryAssembler()

Method Detail

### setDocumentBase

    public void setDocumentBase(java.lang.String baseUri)

### setBaseURI

    public void setBaseURI(java.lang.String baseUri)

### injectComponent

    public void injectComponent(StreamSourceFactory streamSourceFactory)

### injectComponent

    public void injectComponent(SaxSourceFactory saxSourceFactory)

### injectComponent

    public void injectComponent(Cache cache)

### injectComponent

    public void injectComponent(ExpiryOptions expiryOptions)

### injectComponent

    public void injectComponent(ParameterDescriptor[] parameterDescriptors)

### injectComponent

    public void injectComponent(WithParameters withParameters)

### assemble

    public Content assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD